---
title: USBDevice.selectAlternateInterface()
slug: Web/API/USBDevice/selectAlternateInterface
tags:
  - API
  - Method
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - selectAlternateInterface
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>selectAlternateInterface()</code></strong> method of the {{domxref("USBDevice")}} interface returns a {{jsxref("promise")}} that resolves when the specified alternative endpoint is selected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = USBDevice.selectAlternateInterface(<em>interfaceNumber</em>, <em>alternateSetting</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>interfaceNumber</dt>
 <dd>The index of one of the interfaces supported by the device. Interfaces are device-specific.</dd>
 <dt>alternateSetting</dt>
 <dd>The configuration of the selected interface.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("promise")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-selectalternateinterface','selectAlternateInterface()')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.selectAlternateInterface")}}</p>
